:root {
  --light-grey-1: #f3f3f5;
  --text-color-dark: #222;
  --text-color-light: #aaa;
  --brand-color-1: #1c92db;
  --white: white;
  --dark-grey-1: #636363;
  --light-grey-2: #ccc;
  --brand-color-2: #a447b4;
  --brand-color-3: #e98759;
  --dark-grey-2: #333;
  --black: black;
}

body {
  background-color: var(--light-grey-1);
  color: #333;
  font-family: Inter, sans-serif;
  font-size: 15px;
  line-height: 1.2em;
}

h1 {
  margin-top: 0;
  margin-bottom: 20px;
  font-family: Inter Tight, sans-serif;
  font-size: 4em;
  font-weight: 600;
  line-height: 1.2em;
}

h2 {
  margin-top: 0;
  margin-bottom: 20px;
  font-family: Inter Tight, sans-serif;
  font-size: 3em;
  font-weight: 600;
  line-height: 1.2em;
}

h3 {
  font-family: Inter Tight, sans-serif;
  font-size: 2em;
  font-weight: 600;
  line-height: 1.2em;
}

h4 {
  text-transform: uppercase;
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 18px;
  font-weight: 600;
  line-height: 1.2em;
}

h5 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 15px;
  font-weight: 700;
  line-height: 1.2em;
}

h6 {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 15px;
  font-weight: 400;
  line-height: 1.2em;
}

p {
  margin-bottom: 1.4em;
  font-size: 1em;
  line-height: 1.4em;
}

a {
  color: var(--text-color-dark);
  font-size: 1em;
  line-height: 1.6em;
  text-decoration: none;
}

ul {
  margin-top: 0;
  margin-bottom: 10px;
  padding-left: 40px;
}

img {
  max-width: 100%;
  display: inline-block;
}

blockquote {
  border-left: 3px solid #ebebeb;
  margin-bottom: 10px;
  padding: 10px 20px;
  font-size: 19px;
  line-height: 1.6em;
}

figure {
  margin-bottom: 10px;
}

figcaption {
  text-align: center;
  margin-top: 5px;
  margin-bottom: 80px;
}

.label {
  color: var(--text-color-light);
  letter-spacing: 1px;
  text-transform: uppercase;
  margin-top: 10px;
  margin-bottom: 40px;
  font-size: 11px;
  line-height: 11px;
}

.label.cc-box {
  justify-content: space-between;
  display: flex;
}

.button {
  background-color: var(--brand-color-1);
  height: 3em;
  color: var(--white);
  letter-spacing: .5px;
  border-radius: 4px;
  padding: .9em 1.2em .8em;
  font-family: Inter Tight, sans-serif;
  font-weight: 600;
  transition: transform .2s, box-shadow .2s;
  box-shadow: 0 1px 1px #0000;
}

.button:hover {
  box-shadow: 0 4px 17px -6px var(--dark-grey-1);
  transform: translate(0, -5px);
}

.button.white {
  background-color: var(--white);
  box-shadow: 0 3px 15px -3px var(--light-grey-2);
  color: var(--text-color-dark);
}

.button.white:hover {
  box-shadow: 0 3px 15px -7px var(--dark-grey-1);
}

.type-column-2 {
  padding-top: 30px;
  padding-left: 20px;
}

.type-column-1 {
  padding-right: 20px;
}

.color-block {
  background-color: #ebebeb;
  border-radius: 4px;
  height: 70px;
  margin-top: 30px;
}

.color-block.cc-font-color-dark {
  background-color: var(--text-color-dark);
}

.color-block.cc-font-color-light {
  background-color: var(--text-color-light);
}

.color-block.cc-brand-color-1 {
  background-color: var(--brand-color-1);
}

.color-block.cc-brand-color-2 {
  background-color: var(--brand-color-2);
}

.color-block.cc-brand-color-3 {
  background-color: var(--brand-color-3);
}

.color-block.cc-light-grey-1 {
  background-color: var(--light-grey-1);
}

.color-block.cc-light-grey-2 {
  background-color: var(--light-grey-2);
}

.color-block.cc-dark-grey-1 {
  background-color: var(--dark-grey-1);
}

.color-block.cc-dark-grey-2 {
  background-color: var(--dark-grey-2);
}

.divider {
  background-color: var(--light-grey-1);
  width: 100%;
  height: 1px;
  margin-top: 20px;
  margin-bottom: 10px;
}

.home-hero-section {
  flex: 1;
  justify-content: space-between;
  padding: 2% 5% 5%;
  display: block;
  position: relative;
}

.navbar {
  background-color: #0000;
  justify-content: space-between;
  align-items: center;
  padding: 2%;
  display: flex;
}

.nav-logo {
  flex: none;
  font-family: Inter Tight, sans-serif;
  font-size: 24px;
  font-weight: 600;
  line-height: 1em;
}

.nav-links {
  flex: none;
  justify-content: flex-end;
  align-items: center;
  display: flex;
}

.nav-link {
  letter-spacing: .2px;
  background-image: url('../images/arrow.svg');
  background-position: 50% 120%;
  background-repeat: no-repeat;
  background-size: 20px;
  border-radius: 10px;
  margin-left: 10px;
  margin-right: 0;
  padding: 12px 18px 10px;
  font-family: Inter Tight, sans-serif;
  font-size: 1.2em;
  font-weight: 600;
  transition: background-position .2s, background-color .2s, box-shadow .2s, color .2s;
}

.nav-link:hover {
  background-color: var(--white);
  box-shadow: 0 8px 20px -5px var(--light-grey-2);
  color: var(--brand-color-1);
  background-image: url('../images/arrow.svg');
  background-position: 50% 94%;
  background-repeat: no-repeat;
  background-size: 20px;
}

.hero-text {
  text-align: center;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding-top: 30px;
  padding-bottom: 50px;
  display: flex;
}

.hero-feature {
  grid-column-gap: 16px;
  grid-row-gap: 16px;
  grid-template-rows: auto auto;
  grid-template-columns: 1fr 1fr;
  grid-auto-columns: 1fr;
  justify-content: center;
  align-items: flex-end;
  width: 100%;
  height: 300px;
  display: flex;
}

.top-section {
  background-image: radial-gradient(circle farthest-corner at 50% 50%, var(--white), transparent), url('../images/hero-background.png');
  background-position: 0 0, 50%;
  background-repeat: repeat, repeat;
  background-size: auto, contain;
  flex-direction: column;
  justify-content: flex-start;
  display: flex;
}

.text-gradient-box {
  background-image: radial-gradient(circle farthest-corner at 0% 0%, var(--brand-color-1) 11%, var(--brand-color-2) 48%, var(--brand-color-3) 86%);
  white-space: normal;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
}

.text-gradient-box.centre {
  text-align: center;
}

.home-hero-text {
  max-width: 500px;
  margin-top: 0;
  margin-bottom: .3em;
}

.home-tagline {
  max-width: 350px;
  margin-bottom: 1em;
  font-size: 1.6em;
}

.navbar-tagline {
  color: var(--brand-color-1);
  font-size: 16px;
}

.preview-tablet {
  z-index: 1;
  height: 85%;
  margin-bottom: 3px;
  position: relative;
}

.preview-laptop {
  z-index: 2;
  height: 100%;
  margin-left: -110px;
  margin-right: -95px;
  position: relative;
}

.preview-phone {
  z-index: 1;
  height: 70%;
  margin-bottom: 8px;
  position: relative;
}

.colour-section {
  background-image: linear-gradient(to bottom, #ffffffd9, #ffffffd9), linear-gradient(135deg, var(--brand-color-1), var(--brand-color-2) 50%, var(--brand-color-3) 102%);
  padding: 80px 5% 20px;
}

.colour-section.cards {
  text-align: center;
  padding-bottom: 0;
  padding-left: 0%;
  padding-right: 0%;
}

.colour-section.footer {
  text-align: center;
  padding: 30px;
  font-weight: 600;
}

.profile-pic {
  float: right;
  background-color: #ffffff80;
  border-radius: 50%;
  width: 150px;
  margin-bottom: 30px;
  margin-left: 30px;
}

.text-columns {
  column-count: 2;
  width: 100%;
}

.white-section {
  padding: 100px 5%;
}

.white-section.centre {
  text-align: center;
}

.cards-block {
  text-align: left;
  white-space: nowrap;
  flex-flow: row;
  justify-content: space-between;
  align-items: stretch;
  margin-top: 50px;
  padding-top: 20px;
  padding-bottom: 10%;
  padding-left: 20px;
  display: flex;
  overflow: scroll;
}

.white-box {
  background-color: var(--white);
  box-shadow: 0 5px 20px -10px var(--dark-grey-1);
  border-radius: 10px;
  padding: 50px;
}

.spacer {
  height: 5vw;
}

.card {
  background-color: var(--white);
  width: 35vw;
  min-width: 400px;
  box-shadow: 0 5px 20px -10px var(--dark-grey-1);
  white-space: normal;
  border-radius: 10px;
  flex: none;
  margin-right: 50px;
  padding: 30px 30px 20px;
}

.card._1 {
  color: var(--brand-color-1);
}

.card._2 {
  color: #636bc7;
}

.card._3 {
  color: var(--brand-color-2);
}

.card._4 {
  color: #c96983;
}

.card-spacer {
  flex: none;
  width: 50px;
  height: 50px;
  display: block;
}

.service-list {
  flex-direction: column;
  display: flex;
}

.service-list-item {
  border-top: 1px solid #a447b433;
  align-items: flex-start;
  padding-top: 20px;
  padding-bottom: 20px;
  display: flex;
}

.check {
  flex: none;
  width: 30px;
  height: 30px;
  margin-top: -5px;
  margin-bottom: -5px;
  margin-right: 10px;
}

.body {
  background-color: var(--white);
}

.emphasis {
  font-size: 18px;
  font-weight: 600;
}

.list-text {
  color: var(--text-color-dark);
}

.gradient-box-2 {
  background-image: radial-gradient(circle farthest-corner at 0% 0%, #636bc7, var(--brand-color-2));
  white-space: normal;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  display: inline-block;
}

.gradient-box-1 {
  background-image: radial-gradient(circle farthest-corner at 0% 0%, var(--brand-color-1), #636bc7);
  white-space: normal;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  display: inline-block;
}

.gradient-box-3 {
  background-image: radial-gradient(circle farthest-corner at 0% 0%, var(--brand-color-2), #c96983);
  white-space: normal;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  display: inline-block;
}

.gradient-box-4 {
  background-image: radial-gradient(circle farthest-corner at 0% 0%, #c96983, var(--brand-color-3));
  white-space: normal;
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  background-clip: text;
  display: inline-block;
}

.nav-spacer {
  width: 100%;
}

.section-tagline {
  text-transform: uppercase;
  margin-bottom: 20px;
  font-family: Inter, sans-serif;
  font-size: 18px;
  font-weight: 600;
}

.portfolio-item {
  justify-content: space-around;
  align-items: center;
  margin-top: 50px;
  margin-bottom: 100px;
  display: flex;
}

.portfolio-item.reverse {
  flex-direction: row-reverse;
}

.portfolio-image {
  flex: none;
  max-width: 60%;
  max-height: 70vh;
  margin-left: 20px;
  margin-right: 20px;
}

.portfolio-text {
  text-align: left;
  max-width: 40%;
  margin-left: 20px;
  margin-right: 20px;
  padding-top: 30px;
}

.portfolio-text a {
  letter-spacing: .5px;
  background-image: url('../images/link-arrow.svg');
  background-position: 100% 11px;
  background-repeat: no-repeat;
  background-size: auto 120%;
  border-radius: 10px;
  margin-left: -15px;
  padding: 9px 40px 8px 15px;
  font-family: Inter Tight, sans-serif;
  font-size: 18px;
  font-weight: 600;
  transition: background-position .2s, box-shadow .2s, margin .2s;
  display: inline-block;
}

.portfolio-text a:hover {
  box-shadow: 3px 3px 14px -3px var(--text-color-light);
  color: var(--brand-color-1);
  background-position: 100% -20px;
  margin-left: -10px;
}

.portfolio-text h3 {
  margin-top: 0;
  margin-bottom: .6em;
  font-size: 2em;
}

.heading {
  margin-bottom: 20px;
  font-size: 3em;
}

.service-heading {
  margin-top: 0;
  margin-bottom: .6em;
}

.columns {
  justify-content: space-between;
  display: flex;
}

.column {
  width: 48%;
}

.form-label {
  font-weight: 600;
  line-height: 1.5em;
}

.form-field {
  color: var(--black);
  border-radius: 8px;
  margin-bottom: 20px;
  padding-top: 10px;
  padding-bottom: 10px;
  font-weight: 600;
}

.form-field:focus {
  border: 1px solid var(--brand-color-1);
}

.fixed-width {
  background-color: #fffc;
  border-radius: 15px;
  width: 600px;
  margin-top: 100px;
  margin-left: auto;
  margin-right: auto;
  padding: 35px 40px 30px;
  box-shadow: 2px 2px 20px -8px #0000004d;
}

.footer-text {
  text-align: center;
  margin-top: 100px;
  font-weight: 600;
}

.div-block {
  background-image: radial-gradient(circle farthest-corner at 50% 50%, var(--white), transparent);
  width: 100%;
  height: 100%;
  position: absolute;
  inset: 0% 0% auto;
}

@media screen and (max-width: 991px) {
  .home-hero-section {
    flex-direction: column;
    justify-content: space-around;
    padding-left: 0%;
    padding-right: 0%;
  }

  .hero-text {
    flex: 1;
    margin-bottom: 50px;
    padding-bottom: 0;
  }

  .hero-feature {
    background-image: none;
    flex: 0 auto;
    justify-content: center;
    margin-left: 0%;
    overflow: hidden;
  }

  .preview-laptop {
    margin-left: -120px;
    margin-right: -95px;
  }

  .cards-block {
    margin-top: 30px;
  }

  .card-spacer {
    width: 30px;
  }

  .portfolio-image {
    margin-left: 0;
    margin-right: 0;
  }

  .portfolio-text {
    max-width: 45%;
    margin-left: 0;
    margin-right: 0;
  }
}

@media screen and (max-width: 767px) {
  h1 {
    font-size: 36px;
  }

  h2 {
    font-size: 2.5em;
  }

  h3 {
    font-size: 1.8em;
  }

  h4 {
    font-size: 16px;
  }

  h5 {
    font-size: 14px;
    font-weight: 600;
  }

  h6, p {
    font-size: 14px;
  }

  a {
    font-size: 14px;
    line-height: 1.4em;
  }

  blockquote {
    font-size: 16px;
  }

  .home-hero-section {
    padding-top: 0;
    padding-bottom: 50px;
  }

  .navbar {
    align-items: flex-end;
    padding: 10px 20px;
  }

  .nav-logo {
    padding-left: 0;
  }

  .nav-links {
    background-color: var(--white);
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
    height: 100vh;
  }

  .nav-link {
    color: var(--dark-grey-2);
    margin-top: 10px;
    margin-left: 20px;
    margin-right: 20px;
    padding: 15px 0;
    font-size: 1.8em;
  }

  .nav-link:hover {
    box-shadow: none;
  }

  .hero-text {
    margin-bottom: 5%;
  }

  .hero-feature {
    height: 35vw;
  }

  .home-hero-text {
    width: 100%;
    font-size: 48px;
  }

  .home-tagline {
    width: 100%;
    max-width: 380px;
  }

  .preview-laptop {
    margin-left: -14%;
    margin-right: -12%;
  }

  .colour-section {
    padding-top: 50px;
  }

  .white-section {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  .cards-block {
    padding-bottom: 80px;
  }

  .menu-button {
    color: var(--text-color-dark);
    background-image: linear-gradient(97deg, #1c92db33, #a447b433 50%, #e9875933);
    border: 1px #1c92db4d;
    border-radius: 50%;
    padding: 15px;
  }

  .menu-button.w--open {
    background-image: linear-gradient(135deg, var(--brand-color-1), var(--brand-color-2) 50%, var(--brand-color-3));
  }

  .portfolio-item {
    flex-direction: column;
    margin-top: 20px;
    margin-bottom: 20px;
  }

  .portfolio-item.reverse {
    flex-direction: column;
  }

  .portfolio-image {
    max-width: 80%;
  }

  .portfolio-text {
    text-align: center;
    max-width: 300px;
  }

  .portfolio-text a, .portfolio-text a:hover {
    margin-left: 0;
  }

  .portfolio-text h3 {
    font-size: 1.8em;
  }

  .heading {
    font-size: 2.5em;
  }

  .fixed-width {
    width: 100%;
    margin-top: 75px;
  }

  .footer-text {
    margin-top: 75px;
  }
}

@media screen and (max-width: 479px) {
  h1 {
    font-size: 36px;
  }

  h2 {
    margin-bottom: 10px;
  }

  .home-hero-section {
    flex: 0 auto;
    justify-content: space-around;
    height: 80vh;
    padding-top: 10%;
    padding-bottom: 20%;
    display: flex;
  }

  .navbar {
    z-index: 99;
  }

  .nav-logo {
    float: none;
    display: block;
  }

  .hero-text {
    justify-content: space-around;
    padding: 15% 20px 10%;
  }

  .hero-feature {
    justify-content: center;
    height: auto;
    margin-top: 30px;
    padding-left: 15px;
    padding-right: 15px;
  }

  .home-hero-text {
    font-size: 10vw;
  }

  .home-tagline {
    max-width: 350px;
    font-size: 5vw;
  }

  .preview-tablet {
    width: 50%;
    margin-bottom: 1%;
  }

  .preview-laptop {
    width: 70%;
    margin-bottom: .5%;
    margin-left: -28%;
    margin-right: -18%;
  }

  .preview-phone {
    width: 16%;
    margin-bottom: 1.8%;
  }

  .colour-section {
    padding-top: 15%;
    padding-left: 20px;
    padding-right: 20px;
  }

  .profile-pic {
    float: none;
    margin-bottom: 20px;
    margin-left: 0;
  }

  .text-columns {
    column-count: 1;
  }

  .white-section {
    padding-top: 15%;
    padding-bottom: 15%;
  }

  .cards-block {
    padding-top: 10px;
    padding-bottom: 25%;
    padding-left: 0;
  }

  .card {
    width: 78%;
    min-width: 0;
    margin-right: 30px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .card-spacer {
    width: 30px;
  }

  .emphasis {
    font-size: 16px;
  }

  .portfolio-image {
    max-width: 100%;
  }

  .columns {
    flex-direction: column;
  }

  .column {
    width: 100%;
  }

  .fixed-width {
    margin-top: 50px;
    padding: 25px 20px 10px;
  }

  .footer-text {
    margin-top: 50px;
  }
}


